📚

Flutter 小ネタ Extensionsがimportされない場合

1 min read

FlutterでExtentionsを使う時ってどうしてますか。

AndroidのKotlinとか一発でimport出来たんですが、Flutterではなんかバグってるらしく?一発でimportできません。めっちゃ使いづらいですね。

Dart公式でも今修正中って感じかな?

IDE上でうまくこのバグを回避するには

Extensionsの名前をタイプしたら候補を一度選択してimportする

こんなやり方しか無いのかな?ショートカットキーも効かないっぽい。

https://github.com/dart-lang/sdk/issues/38894
https://stackoverflow.com/questions/67091470/flutter-auto-importing-extension-file-is-not-working

Discussion

ログインするとコメントできます